
From: Jason Gaston <jason.d.gaston@intel.com>

This adds the Intel ESB2 HD Audio DID to the hda_intel.c audio driver.

Signed-off-by: Jason Gaston <Jason.d.gaston@intel.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 sound/pci/hda/hda_intel.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN sound/pci/hda/hda_intel.c~hda_intel-intel-esb2-support sound/pci/hda/hda_intel.c
--- 25/sound/pci/hda/hda_intel.c~hda_intel-intel-esb2-support	2005-04-26 19:58:47.736706680 -0700
+++ 25-akpm/sound/pci/hda/hda_intel.c	2005-04-26 19:58:47.741705920 -0700
@@ -64,7 +64,8 @@ MODULE_PARM_DESC(model, "Use the given b
 MODULE_LICENSE("GPL");
 MODULE_SUPPORTED_DEVICE("{{Intel, ICH6},"
 			 "{Intel, ICH6M},"
-			 "{Intel, ICH7}}");
+			 "{Intel, ICH7},"
+			 "{Intel, ESB2}}");
 MODULE_DESCRIPTION("Intel HDA driver");
 
 #define SFX	"hda-intel: "
@@ -1422,6 +1423,7 @@ static void __devexit azx_remove(struct 
 static struct pci_device_id azx_ids[] = {
 	{ 0x8086, 0x2668, PCI_ANY_ID, PCI_ANY_ID, 0, 0, 0 }, /* ICH6 */
 	{ 0x8086, 0x27d8, PCI_ANY_ID, PCI_ANY_ID, 0, 0, 0 }, /* ICH7 */
+	{ 0x8086, 0x269a, PCI_ANY_ID, PCI_ANY_ID, 0, 0, 0 }, /* ESB2 */
 	{ 0, }
 };
 MODULE_DEVICE_TABLE(pci, azx_ids);
_
